<?php
$page_title="Appointment Details";

require_once 'header.php';

?>

<div class="row">
	<div class="col-lg-2 col-md-1">
		<!--left side bar-->
	</div>

	<div class="col-lg-8 col-md-10 col-sm-12">
		<!--content Starts-->
		<?php
		require_once 'nav-bar.php';
		?>

		<br/>
		<br/>
		<h4 style="text-align: center; color: green; font-weight: bold;">Payment for Subscription Renewal Success!</h4>
		<br/>
		<p style="text-align: center; color: green; font-weight: bold; font-size: 18px;">
			A payment of $<?=$payment_data['amount_paid']?> has been paid successfully from this customer for the renewal of this Subscription.<br/>
			Click on the link below to see payment details in Stripe: <br/>
			<a href="https://dashboard.stripe.com/test/payments/<?=$payment_data['payment_intent']?>"><?=$payment_data['payment_intent']?></a>
		</p>
<br/>
<br/>

		<style>
			#data-tabl>td{
				min-width: 210px;
			}
		</style>
		<table id="data-tabl" style="line-height: 35px;">
			<tr>
				<td>First Name: </td>
				<td><?=$appt->first_name?></td>
			</tr>
			<tr>
				<td>Last Name: </td>
				<td><?=$appt->last_name?></td>
			</tr>
			<tr>
				<td>Email: </td>
				<td><?=$appt->email?></td>
			</tr>
			<tr>
				<td>Phone: </td>
				<td><?=$appt->phone?></td>
			</tr>
			<tr>
				<td>Address: </td>
				<td><?=$appt->address?></td>
			</tr>
			<tr>
				<td>City: </td>
				<td><?=$appt->city?></td>
			</tr>
			<tr>
				<td>State: </td>
				<td><?=$appt->state?></td>
			</tr>
			<tr>
				<td>Zip / Postal: </td>
				<td><?=$appt->zip?></td>
			</tr>
			<tr>
				<td>Availability: </td>
				<td><?=$appt->availability?></td>
			</tr>
			<tr>
				<td>Preferred Arrival Time: </td>
				<td><?=$appt->preferred_arrival_times?></td>
			</tr>




			<tr>
				<td>Message: </td>
				<td><?=$appt->message?></td>
			</tr>
			<tr>
				<td>Appointment Date: </td>
				<td><?=$appt->appointment_date?> &nbsp;<?php if($appt->service_status=="done"){echo "&nbsp;<span style='font-size: 18px; color: green; font-weight: bold;'>(Cleaning Completed on: ".$appt->service_provided_on.")</span>";} ?></td>
			</tr>
			<tr>
				<td>Appointment Time (Slot): </td>
				<td><?=$appt->appointment_time." (".strtoupper($appt->appointment_slot).")"?></td>
			</tr>
			<tr>
				<td>Booked on: </td>
				<td><?=$appt->booked_on?></td>
			</tr>

			<?php
			if($appt->payment_status=="paid")
			{
				//https://dashboard.stripe.com/test/payments/pi_3O58yID09o957qPw1n4ijcsb
				$paid_data= '<td style="color: #00a037; font-weight: bold;"><a style="color: #00a037;" href="https://dashboard.stripe.com/test/payments/'.$appt->payment_intent.'" target="_blank">'.strtoupper($appt->payment_status).'</a> </td>';
				$payment_intent_data= '<td style="color: #00a037; font-weight: bold;"><a style="color: #00a037;" href="https://dashboard.stripe.com/test/payments/'.$appt->payment_intent.'" target="_blank">'.$appt->payment_intent.'</a> </td>';
			}else{
				$paid_data= '<td style="color: #ff036c;">Unpaid</td>';
				$payment_intent_data= '<td style="color: #ff036c;">Unpaid</td>';

			}
			?>

			<tr>
				<td>Payment Status: </td>
				<?=$paid_data?>
			</tr>
			<tr>
				<td>Amount Paid: </td>
				<td>$<?=$appt->paid_amount?></td>
			</tr>
			<tr>
				<td>Stripe Payment Intent: </td>
				<?=$payment_intent_data?>
			</tr>

			<?php
			//var_dump($appt);
			if($appt->subscription_type!="0") //if it's a subscribed customer
			{
				if($appt->subscription_type=="weekly-100")
				{
					$subscription_type="Weekly";
				}elseif ($appt->subscription_type=="monthly-45")
				{
					$subscription_type="Monthly";
				}else{
					$subscription_type="Bi-Weekly";//by_weekly-75
				}
				?>
				<!--if it's a subscribed customer-->
				<tr>
					<td>Stripe Customer ID: </td>
					<td><?=$appt->stripe_customer_id?></td>
				</tr>
				<tr>
					<td>Cleaning Frequency: </td>
					<td><?=$subscription_type?></td>
				</tr>
			<?php } ?>


			<tr>
				<td>Stripe Checkout Session: </td>
				<td><?=$appt->stripe_session_id?></td>
			</tr>

		</table>
		<br/>
		<br/>
		<br/>
		<h4>Booking Packages:</h4>
		<style>
			td.mid-row{
				min-width: 280px;
			}
			tr:hover{
				background-color: #e1e4eb;
			}
			td{
				padding-left: 10px; padding-right: 10px;
			}
			th{
				padding-left: 10px; padding-right: 10px;
			}
		</style>
		<table style="line-height: 38px;">
			<tr>
				<th>Package Name</th>
				<th class="mid-row">Package Option</th>
				<th>Package Price</th>
			</tr>
			<tr>
				<td>Default Package: </td>
				<td class="mid-row">One Bedroom & One Bathroom</td>
				<td>$<?=$appt->default_price?></td>
			</tr>
			<?php
			/*			if($appt->package_bedroom=="on") { */?>
			<tr>
				<td>Extra Bedroom: </td>
				<td class="mid-row"><?=($appt->bedroom_package_option!="")?$appt->bedroom_package_option:'N/A'?></td>
				<td>$<?=($appt->bedroom_price!="")?$appt->bedroom_price:'0'?></td>
			</tr>
			<?php /*}
			 if($appt->package_bathroom=="on") { */?>
			<tr>
				<td>Extra Bathroom: </td>
				<td class="mid-row"><?=($appt->bathroom_package_option!="")?$appt->bathroom_package_option:'N/A'?></td>
				<td>$<?=($appt->bathroom_price!="")?$appt->bathroom_price:'0'?></td>
			</tr>
			<?php /* }
			if($appt->package_square=="on") { */?>
			<tr>
				<td>The Total Square Footage: </td>
				<td class="mid-row"><?=(($appt->square_package_option=="") || $appt->square_package_option==0)?'N/A':$appt->square_package_option?></td>
				<td>$<?=($appt->square_price!="")?$appt->square_price:'0'?></td>
			</tr>
			<?php /* }
			  if($appt->package_ospace=="on") { */?>
			<tr>
				<td>Office space: </td>
				<td class="mid-row"><?=($appt->ospace_package_option!="")?$appt->ospace_package_option:'N/A'?></td>
				<td>$<?=($appt->ospace_price!="")?$appt->ospace_price:'0'?></td>
			</tr>
			<?php /* }
			 if($appt->package_dishes=="on") { */?>
			<tr>
				<td>Dishes cleaning: </td>
				<td class="mid-row"><?=($appt->dishes_package_option!="")?$appt->dishes_package_option:'N/A'?></td>
				<td>$<?=($appt->dishes_price!="")?$appt->dishes_price:'0'?></td>
			</tr>
			<?php /* }
			 if($appt->package_laundry=="on") { */?>
			<tr>
				<td>Laundry service: </td>
				<td class="mid-row"><?=($appt->laundry_package_option!="")?$appt->laundry_package_option:'N/A'?></td>
				<td>$<?=($appt->laundry_price!="")?$appt->laundry_price:'0'?></td>
			</tr>
			<?php /* } */?>
			<tr>
				<td>&nbsp;</td>
				<td class="mid-row" style="font-weight: bold; text-align: right:">Total Price: </td>
				<td style="font-weight: bold;">$<?=$appt->total_price?></td>
			</tr>
		</table>
		<br/>
		<br/>
		<br/>


		<!--One-time Cleaning customer Starts-->
		<?php
		/*var_dump($appt->service_status);
		var_dump($appt->subscription_expiry);
		var_dump($appt->service_provided_on);*/

		if($appt->service_status=="" && $appt->service_provided_on==null && $appt->subscription_type=="0")//"0" means one-time-customer
		{
			?>
			<form action="<?=site_url('admin/mark_service_done/').$appt->id?>" method="post" name="service_done" id="service_done">
				<input type="hidden" name="appt_id" value="<?=$appt->id?>">

				<div class="form-row">

					<div class="form-group col-6">
						<br/>
						<label for="service_team" style="font-weight: bold;">Service Team:<span style="color: red;">*</span></label>
						<input type="text" class="form-control" required name="service_team" id="service_team" value="" >

					</div>
					<div class="form-group col-6">&nbsp;</div>

					<div class="form-group col-6">
						<!--<label for="service_provided" style="font-weight: bold;">Service Provided on: </label>
						<input type="text" class="form-control" name="service_provided_on" id="service_provided" value="" >-->
						<label style="font-weight: bold;" for="service_provided_on">Service Provided on:<span style="color: red;">*</span></label>
						<input type="text" class="form-control" required id="service_provided_on" autocomplete="off" name="service_provided_on" placeholder="YYYY-MM-DD">

					</div>

					<div class="form-group col-6">&nbsp;</div>

					<div class="form-group col-6">
						<label for="service_note" style="font-weight: bold;">Service Note:<span style="color: red;">*</span></label>
						<textarea class="form-control" required name="yourmessage" id="service_note" rows="3"></textarea>
					</div>
					<div class="form-group col-6">&nbsp;</div>

					<div class="form-group col-md-12">
						<br/>

						<input style="text-align: center;" type="submit" class="btn btn-danger" name="service_completed" value="Mark As Completed">
						<br/>
						<br/>
						<br/>
					</div>
				</div>
			</form>

			<?php
		}else if($appt->subscription_type=="0" && $appt->service_status!="" && $appt->service_provided_on!=null)//"0" means one-time-customer
		{
			?>
			<div class="form-row">
				<div class="form-group col-6">
					<br/>
					<label for="service_note" style="font-weight: bold;">Service Status: </label>
					<p style="font-weight: bold; color: green; font-size: 22px;"><?=strtoupper($appt->service_status)?></p>
					<label for="service_note" style="font-weight: bold;">Service Provided on: </label>
					<p style="font-weight: bold; color: green; font-size: 18px;"><?=$appt->service_provided_on?></p>
					<label for="service_note" style="font-weight: bold;">Service Note: </label>
					<p><?=$appt->service_comment?></p>
				</div>
				<div class="form-group col-6">&nbsp;</div>
				<div class="form-group col-md-12">
					<br/>

					<br/>
					<br/>
				</div>
			</div>
		<?php } ?>
		<script>
			$( function() {
				$( "#service_provided_on" ).datepicker({
					changeMonth: true,
					changeYear: true,
					dateFormat: "yy-mm-dd",
					//startDate: '10-26-2023',
					//minDate: '<?=date('m-d-Y', time()+129600)?>',
					//maxDate: "+12m",
					/*onSelect: function (date, datepicker) {
						if (date != "") {
							const date_array = date.split("-");
							let db_date = date_array[2]+"-"+date_array[0]+"-"+date_array[1]+" 00:00:00";
							//alert("Selected Date: " + date);
						}
					}*/
				});
			} );
		</script>
		<!--One time cleaning customers end-->




		<script>
			$(document).ready(function(){
				$('#service_done').on('submit', function(e){
					e.preventDefault();

					var service_note=$("#service_note").val();
					if(service_note=="" || service_note==null)
					{
						alert("Please enter service note");
						return false;
					}else{
						if (confirm("Are you sure want to mark this Cleaning as completed?") == true) {
							this.submit();
						} else {
							return false;
						}
					}

				});
			});


			/*$("#service_done").onsubmit(function (){
				var service_note=$("#service_note").val();
				if(service_note=="" || service_note==null)
				{
					alert("Please enter service note");
					return false;
				}else{
					if (confirm("Are you sure want to mark this Cleaning as completed?") == true) {
						return true;
					} else {
						return false;
					}
				}
			});*/

		</script>


		<!--Subscription-->
		<?php

		if($appt->subscription_type!="0")
		{
			?>
			<form action="<?=site_url('admin/mark_service_done/').$appt->id?>" method="post" name="service_done" id="service_done">
				<input type="hidden" name="appt_id" value="<?=$appt->id?>">

				<div class="form-row">
					<div class="form-group col-6">
						<br/>
						<label for="service_team" style="font-weight: bold;">Service Team:<span style="color: red;">*</span></label>
						<input type="text" class="form-control" required name="service_team" id="service_team" value="" >

					</div>
					<div class="form-group col-6">&nbsp;</div>

					<div class="form-group col-6">
						<!--<label for="service_provided" style="font-weight: bold;">Service Provided on: </label>
						<input type="text" class="form-control" name="service_provided_on" id="service_provided" value="" >-->
						<label style="font-weight: bold;" for="service_provided_on">Service Provided on:<span style="color: red;">*</span></label>
						<input type="text" class="form-control" required id="service_provided_on" autocomplete="off" name="service_provided_on" placeholder="YYYY-MM-DD">

					</div>

					<div class="form-group col-6">&nbsp;</div>


					<div class="form-group col-6">
						<br/>
						<label for="service_note" style="font-weight: bold;">Service Note: </label>
						<textarea class="form-control" required name="yourmessage" id="service_note" rows="3"></textarea>
					</div>
					<div class="form-group col-6">&nbsp;</div>
					<div class="form-group col-md-12">
						<br/>

						<p style="font-weight: bold; color: red; font-size: 18px;">Mark As Completed <?=$appt->service_number+1?> Number Service Scheduled for: <?=$appt->appointment_date." ".$appt->appointment_time." (".strtoupper($appt->appointment_slot).")"?></p>
						<input style="text-align: center;" type="submit" class="btn btn-danger" name="service_completed" value="Mark As Completed <?=$appt->service_number+1?> Number Service">
						<br/>
						<br/>
						<br/>
					</div>
				</div>
			</form>



			<div class="form-row">
				<!--<div class="form-group col-6">
					<br/>
					<label for="service_note" style="font-weight: bold;">Service History: </label>
				</div>
				<div class="form-group col-6">&nbsp;</div>-->
				<div class="form-group col-md-12">
					<br/>
					<h3>Service History for This Customer:</h3>
					<br/>

					<?php

					if($service_history==null) {
						echo "<h3 style='color: #ff0000; font-weight: bold;'>No Service History Found!</h3>";
					}else{

						/*echo "<pre>";
						var_dump($service_history);
						echo "</pre>";*/

						?>


						<table style="line-height: 38px;">
							<tr>
								<th class="mid-row">Service <br/>Number:</th>
								<th>Stripe <br/>Customer ID:</th>
								<th>Paid Amount: </th>
								<th>Payment <br/>Intent:</th>
								<th>Appointment Date: </th>
								<th>Appointment <br/>Time & Slot</th>
								<th>Service <br/>Provided on</th>
								<th>Service Note: </th>
							</tr>
							<?php
							foreach ($service_history as $sh)
							{

								$payment_intent_data= '<td style="color: #00a037; font-weight: bold;"><a style="color: #00a037;" href="https://dashboard.stripe.com/test/payments/'.$sh->payment_intent.'" target="_blank">'.$sh->payment_intent.'</a> </td>';
								echo "<tr>";
								echo "<td>".$sh->service_number."</td>";
								echo "<td>".$sh->stripe_customer_id."</td>";
								echo "<td>".$sh->paid_amount."</td>";
								//echo "<td>".$sh->payment_intent."</td>";
								echo $payment_intent_data;
								echo "<td>".$sh->appointment_date."</td>";
								echo "<td>".$sh->appointment_time." (".$sh->appointment_slot.")</td>";
								echo "<td>".$sh->service_provided_on."</td>";
								echo "<td>".$sh->service_comment."</td>";
								echo "</tr>";
							}
							?>

							<!--<tr>
							<td>Default Package: </td>
							<td class="mid-row">One Bedroom & One Bathroom</td>
							<td>$<?/*=$appt->default_price*/?></td>
						</tr>-->

							<!--<tr>
							<td>Laundry service: </td>
							<td class="mid-row"><?/*=($appt->laundry_package_option!="")?$appt->laundry_package_option:'N/A'*/?></td>
							<td>$<?/*=($appt->laundry_price!="")?$appt->laundry_price:'0'*/?></td>
						</tr>-->
							<?php /* } */?>
							<!--<tr>
							<td>&nbsp;</td>
							<td class="mid-row" style="font-weight: bold; text-align: right:">Total Price: </td>
							<td style="font-weight: bold;">$<?/*=$appt->total_price*/?></td>
						</tr>-->
						</table>

						<?php
					}
					?>


					<br/>
					<br/>
				</div>
			</div>



		<?php } ?>

		<br/>
		<br/>
		<br/>

		<!--content Ends-->
	</div>

	<div class="col-lg-2 col-md-1">
		<!--left side bar-->
	</div>
</div>


<?php
require_once 'footer.php';
?>

