<?php
$page_title="Subscription List";

require_once 'header.php';

?>

<div class="row">
	<div class="col-lg-2 col-md-1">
		<!--left side bar-->
	</div>

	<div class="col-lg-8 col-md-10 col-sm-12">
		<!--content Starts-->
<?php
require_once 'nav-bar.php';
?>

<br/>
		<h4 style="text-align: center;">Subscription Service List</h4>

		<div style="text-align: center; margin: auto; max-width: 280px;">
			<form class="form-inline my-2 my-lg-0" method="get" action="<?=site_url('/admin/subscription_list')?>">
				<input class="form-control mr-sm-2" type="text" id="datepicker_2" placeholder="Search by Appt. Date" name="appt_date" autocomplete="off" aria-label="Search by Date">
				<button class="btn btn-outline-success my-2 my-sm-0" type="submit">Search</button>
			</form>
			<script>
				$( function() {
					$( "#datepicker_2" ).datepicker({
						changeMonth: true,
						changeYear: true,
						dateFormat: "yy-mm-dd",
					});
				} );
			</script>
		</div>

	</div>

	<div class="col-lg-2 col-md-1">
		<!--left side bar-->
	</div>





	<div class="col-lg-1">
		<!--left side bar-->
	</div>

	<div class="col-lg-10 col-md-12 col-sm-12" style="text-align: center;">
		<!--content Starts-->

		<br/>
		<!--Main table Content starts-->
		<br/>






<?php
if($total_appt==0)
{
	echo "<h3>No Appointment found</h3>";
}else{

	//echo "<pre>";
	//var_dump($appt_data);
	//echo "</pre>";
	?>


		<table class="table table-striped">
			<thead>
			<tr>
				<th scope="col">#</th>
				<th scope="col">Name</th>
				<th scope="col">Email</th>
				<th scope="col">Phone</th>
				<th scope="col">Address</th>
				<th scope="col">City</th>
				<!--<th scope="col">State</th>-->
				<!--<th scope="col">Availability</th>
				<th scope="col">Preferred <br/>Arrival <br/>Time</th>-->
				<th scope="col">Next Appointment<br/>Date</th>
				<th scope="col">Appointment<br/>Slot</th>
				<th scope="col">Service<br/>Completed</th>
				<th scope="col">Total <br/>Price</th>
				<th scope="col">Payment<br/>Status</th>
				<th scope="col">Booked / Renewed on</th>
				<th scope="col">View<br/>Details</th>
			</tr>
			</thead>
			<tbody>
			<?php
$i=1;
			foreach($appt_data as $app)
			{
				echo '<tr>';
				echo '<th scope="row">'.$i.'</th>';
				echo '<td>'.$app->first_name.' '.$app->last_name.'</td>';
				echo '<td>'.$app->email.'</td>';
				echo '<td>'.$app->phone.'</td>';
				echo '<td>'.$app->address.'</td>';
				echo '<td>'.$app->city.'</td>';
				/*echo '<td>'.$app->state.'</td>';*/
				/*echo '<td>'.$app->availability.'</td>';
				echo '<td>'.$app->preferred_arrival_times.'</td>';*/
				echo '<td>'.$app->appointment_date.'</td>';
				echo '<td>'.$app->appointment_time."<br/>(".$app->appointment_slot.')</td>';
				//echo '<td>'.$app->appointment_date_time.'</td>';
				$given_service=($app->service_number=="")?'0':$app->service_number;
				echo '<td>'.$given_service.'</td>';
				echo '<td>$'.$app->total_price.'</td>';
				if($app->payment_status=="paid")
				{
					//https://dashboard.stripe.com/test/payments/pi_3O58yID09o957qPw1n4ijcsb
					echo '<td style="color: #00a037; font-weight: bold;"><a style="color: #00a037;" href="https://dashboard.stripe.com/test/payments/'.$app->payment_intent.'" target="_blank">'.strtoupper($app->payment_status).'</a> <br/>$'.$app->paid_amount.'</td>';
				}else{
					echo '<td style="color: #ff036c;">Unpaid</td>';
				}

				if($app->subscription_renewed_on!="")
				{
					$booking_date="<span style='color: #ff036c; font-weight: bold;'>Renewed on</span><br/>".$app->subscription_renewed_on;
				}else{
					$booking_date=$app->booked_on;
				}

				echo '<td>'.$booking_date.'</td>';
				echo '<td><a href="'.site_url('admin/view_details/').$app->id.'">View</a></td>';




				echo '</tr>';
				$i++;
			}

			?>

			</tbody>
		</table>



		<?php } ?>
<!--Main Table Content Ends here-->




	</div><!--content Ends-->

	<div class="col-lg-1">
		<!--left side bar-->
	</div>



</div>


<?php
require_once 'footer.php';
?>

